---
title: Window.event
slug: Web/API/Window/event
tags:
  - API
  - Event
  - Event Handler
  - HTML DOM
  - Property
  - Read-only
  - Window
---
<div>{{APIRef("DOM")}}</div>

<p>The read-only {{domxref("Window")}} property <code><strong>event</strong></code> returns the {{domxref("Event")}} which is currently being handled by the site's code. Outside the context of an event handler, the value is always <code>undefined</code>.</p>

<p>You <em>should</em> avoid using this property in new code, and should instead use the {{domxref("Event")}} passed into the event handler function. This property is not universally supported and even when supported introduces potential fragility to your code.</p>

<div class="note">
<p><strong>Note:</strong> This property can be fragile, in that there may be situations in which the returned <code>Event</code> is not the expected value. In addition, <code>Window.event</code> is not accurate for events dispatched within {{Glossary("shadow tree", "shadow trees")}}.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG', "#dom-window-event", "Window.event")}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Event.srcElement")}}</li>
</ul>
